POST Process Statements
Process Statements
The backend code requires your store ID, private key, and a means to identify the desired statements. This can be achieved through specific statement IDs or a defined filter. In case both are provided, statement IDs will be prioritized.
POST
https://gfp-api.acdev.io/api/v1/pending-invoices/process
Body Parameters
- idsArrayDescription
- statementDateStringrequiredDescription
- rowNumIntegerrequiredDescription
- patientIdstringDescription
- providerIdstringDescription
- amountDueNumberDescription
- firstNamestringDescription
- lastNamestringDescription
- emailstringDescription
- smsPhoneNumberstringDescription
- addressLine1stringDescription
- addressLine2stringDescription
- addressCitystringDescription
- addressStatestringDescription
- addressZipstringDescription
- patientNotestringDescription
- externalLocationIdstringDescription
- lineItemsObjectDescription
- datestringDescription
- dateOfServicestringDescription
- skustringDescription
- chargesIntegerDescription
- creditIntegerDescription
- balanceIntegerDescription
- patientFirstNamestringDescription
- patientLastNamestringDescription
- filterStringDescription
IDs
curl -X POST \
--url 'https://gfp-api.acdev.io/api/v1/pending-invoices/process' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}' \
--data-raw '
{
"ids": ["01H3JK407G9SBRGSJ1ZRW7V93T"]
}'Filter
curl -X POST \
--url 'https://gfp-api.acdev.io/api/v1/pending-invoices/process' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}' \
--data-raw '
{
"filter": "status=in=(\"Pending\")"
}'200
Success